The Spring Framework

## org.springframework.aop.aspectj
Class AspectJProxyUtils

    java.lang.Object
      org.springframework.aop.aspectj.AspectJProxyUtils

    public abstract class AspectJProxyUtils

extends Object

Utility methods for working with AspectJ proxies.

Since:
  2.0
Author:
  Rod Johnson, Ramnivas Laddad

Constructor Summary
`AspectJProxyUtils()`

Method Summary
`static boolean` `makeAdvisorChainAspectJCapableIfNecessary(List advisors)` Add special advisors if necessary to work with a proxy chain that contains AspectJ advisors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectJProxyUtils

    public AspectJProxyUtils()

Method Detail

### makeAdvisorChainAspectJCapableIfNecessary

    public static boolean makeAdvisorChainAspectJCapableIfNecessary(List advisors)

  Add special advisors if necessary to work with a proxy chain that contains AspectJ advisors. This will expose the current Spring AOP invocation (necessary for some AspectJ pointcut matching) and make available the current AspectJ JoinPoint. The call will have no effect if there are no AspectJ advisors in the advisor chain.

  Parameters:
    `advisors` - Advisors available
  Returns:
    `true` if any special `Advisors` were added, otherwise `false`.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.